package WEB-INF.classes.wenrgise.hrms.webtier.form;

import java.util.ArrayList;
import javax.servlet.http.HttpServletRequest;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import wenrgise.hrms.webtier.form.HrmBaseForm;

public class HrmAppraisalTemplateForm extends HrmBaseForm {
  String templateName;
  
  String obsolete;
  
  String applicableToAll;
  
  String ratingCode;
  
  String[] txtSrlNo;
  
  String[] txtSectionCode;
  
  String[] txtAppraiserType;
  
  String[] txtTemplateRemarks;
  
  String[] txtParentSection;
  
  String[] txtSectionWeightage;
  
  ArrayList arrAppTempSec = new ArrayList();
  
  String selectAll;
  
  String disabbutSecCode;
  
  String butParentSecCode;
  
  String ratingId;
  
  String[] txtKpaGroupCode;
  
  String[] txtApprKpa;
  
  String[] txtWeightage;
  
  String[] txtKpaId;
  
  String butKPAGroupCode;
  
  String disabbutKPAGroupCode;
  
  ArrayList arrAppTempKPA = new ArrayList();
  
  String[] txtParentSecId;
  
  String[] txtRatingReqd;
  
  String templateId;
  
  String disabbutRatingCode;
  
  String butRatingCode;
  
  String butTemplateName;
  
  String disabbutTemplateName;
  
  String disabbutApprove;
  
  String headerFlag;
  
  String statusOfHeader;
  
  String disabobsolete;
  
  String disabapplicableToAll;
  
  String disabtemplateName;
  
  String disabratingCode;
  
  public void reset(ActionMapping mapping, HttpServletRequest request) {
    super.reset(mapping, request);
  }
  
  public ActionErrors validate(ActionMapping mapping, HttpServletRequest request) {
    return super.validate(mapping, request);
  }
  
  public String getTemplateName() {
    return this.templateName;
  }
  
  public void setTemplateName(String newTemplateName) {
    this.templateName = newTemplateName;
  }
  
  public String getObsolete() {
    return this.obsolete;
  }
  
  public void setObsolete(String newObsolete) {
    this.obsolete = newObsolete;
  }
  
  public String getApplicableToAll() {
    return this.applicableToAll;
  }
  
  public void setApplicableToAll(String newApplicableToAll) {
    this.applicableToAll = newApplicableToAll;
  }
  
  public String getRatingCode() {
    return this.ratingCode;
  }
  
  public void setRatingCode(String newRatingCode) {
    this.ratingCode = newRatingCode;
  }
  
  public String getSelectAll() {
    return this.selectAll;
  }
  
  public void setSelectAll(String newSelectAll) {
    this.selectAll = newSelectAll;
  }
  
  public String[] getTxtSrlNo() {
    return this.txtSrlNo;
  }
  
  public String[] getTxtSectionCode() {
    return this.txtSectionCode;
  }
  
  public String[] getTxtAppraiserType() {
    return this.txtAppraiserType;
  }
  
  public String[] getTxtTemplateRemarks() {
    return this.txtTemplateRemarks;
  }
  
  public String[] getTxtParentSection() {
    return this.txtParentSection;
  }
  
  public String[] getTxtSectionWeightage() {
    return this.txtSectionWeightage;
  }
  
  public void setTxtAppraiserType(String[] newTxtAppraiserType) {
    this.txtAppraiserType = newTxtAppraiserType;
  }
  
  public void setTxtParentSection(String[] newTxtParentSection) {
    this.txtParentSection = newTxtParentSection;
  }
  
  public void setTxtSectionCode(String[] newTxtSectionCode) {
    this.txtSectionCode = newTxtSectionCode;
  }
  
  public void setTxtSectionWeightage(String[] newTxtSectionWeightage) {
    this.txtSectionWeightage = newTxtSectionWeightage;
  }
  
  public void setTxtSrlNo(String[] newTxtSrlNo) {
    this.txtSrlNo = newTxtSrlNo;
  }
  
  public void setTxtTemplateRemarks(String[] newTxtTemplateRemarks) {
    this.txtTemplateRemarks = newTxtTemplateRemarks;
  }
  
  public ArrayList getArrAppTempSec() {
    return this.arrAppTempSec;
  }
  
  public void setArrAppTempSec(ArrayList newArrAppTempSec) {
    this.arrAppTempSec = newArrAppTempSec;
  }
  
  public String getDisabbutSecCode() {
    return this.disabbutSecCode;
  }
  
  public void setDisabbutSecCode(String newDisabbutSecCode) {
    this.disabbutSecCode = newDisabbutSecCode;
  }
  
  public String getButParentSecCode() {
    return this.butParentSecCode;
  }
  
  public void setButParentSecCode(String newButParentSecCode) {
    this.butParentSecCode = newButParentSecCode;
  }
  
  public String getRatingId() {
    return this.ratingId;
  }
  
  public void setRatingId(String newRatingId) {
    this.ratingId = newRatingId;
  }
  
  public String[] getTxtKpaGroupCode() {
    return this.txtKpaGroupCode;
  }
  
  public void setTxtKpaGroupCode(String[] newTxtKpaGroupCode) {
    this.txtKpaGroupCode = newTxtKpaGroupCode;
  }
  
  public String[] getTxtApprKpa() {
    return this.txtApprKpa;
  }
  
  public void setTxtApprKpa(String[] newTxtApprKpa) {
    this.txtApprKpa = newTxtApprKpa;
  }
  
  public String[] getTxtWeightage() {
    return this.txtWeightage;
  }
  
  public void setTxtWeightage(String[] newTxtWeightage) {
    this.txtWeightage = newTxtWeightage;
  }
  
  public String[] getTxtKpaId() {
    return this.txtKpaId;
  }
  
  public void setTxtKpaId(String[] newTxtKpaId) {
    this.txtKpaId = newTxtKpaId;
  }
  
  public String getButKPAGroupCode() {
    return this.butKPAGroupCode;
  }
  
  public void setButKPAGroupCode(String newButKPAGroupCode) {
    this.butKPAGroupCode = newButKPAGroupCode;
  }
  
  public String getDisabbutKPAGroupCode() {
    return this.disabbutKPAGroupCode;
  }
  
  public void setDisabbutKPAGroupCode(String newDisabbutKPAGroupCode) {
    this.disabbutKPAGroupCode = newDisabbutKPAGroupCode;
  }
  
  public ArrayList getArrAppTempKPA() {
    return this.arrAppTempKPA;
  }
  
  public void setArrAppTempKPA(ArrayList newArrAppTempKPA) {
    this.arrAppTempKPA = newArrAppTempKPA;
  }
  
  public String[] getTxtParentSecId() {
    return this.txtParentSecId;
  }
  
  public void setTxtParentSecId(String[] newTxtParentSecId) {
    this.txtParentSecId = newTxtParentSecId;
  }
  
  public String[] getTxtRatingReqd() {
    return this.txtRatingReqd;
  }
  
  public void setTxtRatingReqd(String[] newTxtRatingReqd) {
    this.txtRatingReqd = newTxtRatingReqd;
  }
  
  public String getTemplateId() {
    return this.templateId;
  }
  
  public void setTemplateId(String newTemplateId) {
    this.templateId = newTemplateId;
  }
  
  public String getDisabbutRatingCode() {
    return this.disabbutRatingCode;
  }
  
  public void setDisabbutRatingCode(String newDisabbutRatingCode) {
    this.disabbutRatingCode = newDisabbutRatingCode;
  }
  
  public String getButRatingCode() {
    return this.butRatingCode;
  }
  
  public void setButRatingCode(String newButRatingCode) {
    this.butRatingCode = newButRatingCode;
  }
  
  public String getButTemplateName() {
    return this.butTemplateName;
  }
  
  public void setButTemplateName(String newButTemplateName) {
    this.butTemplateName = newButTemplateName;
  }
  
  public String getDisabbutTemplateName() {
    return this.disabbutTemplateName;
  }
  
  public void setDisabbutTemplateName(String newDisabbutTemplateName) {
    this.disabbutTemplateName = newDisabbutTemplateName;
  }
  
  public String getDisabbutApprove() {
    return this.disabbutApprove;
  }
  
  public void setDisabbutApprove(String newDisabbutApprove) {
    this.disabbutApprove = newDisabbutApprove;
  }
  
  public String getHeaderFlag() {
    return this.headerFlag;
  }
  
  public void setHeaderFlag(String newHeaderFlag) {
    this.headerFlag = newHeaderFlag;
  }
  
  public String getStatusOfHeader() {
    return this.statusOfHeader;
  }
  
  public void setStatusOfHeader(String newStatusOfHeader) {
    this.statusOfHeader = newStatusOfHeader;
  }
  
  public String getDisabobsolete() {
    return this.disabobsolete;
  }
  
  public void setDisabobsolete(String newDisabobsolete) {
    this.disabobsolete = newDisabobsolete;
  }
  
  public String getDisabapplicableToAll() {
    return this.disabapplicableToAll;
  }
  
  public void setDisabapplicableToAll(String newDisabapplicableToAll) {
    this.disabapplicableToAll = newDisabapplicableToAll;
  }
  
  public String getDisabtemplateName() {
    return this.disabtemplateName;
  }
  
  public void setDisabtemplateName(String newDisabtemplateName) {
    this.disabtemplateName = newDisabtemplateName;
  }
  
  public String getDisabratingCode() {
    return this.disabratingCode;
  }
  
  public void setDisabratingCode(String newDisabratingCode) {
    this.disabratingCode = newDisabratingCode;
  }
}
